Subject: bug#48841: fido-mode is slower than ido-mode with similar settings

From: Dmitry Gutov <[email-masked]>
Date: Sun, 6 Jun 2021 19:54:58 +0300

On 06.06.2021 09:59, João Távora wrote:
> Very true, but here's the suprise: In the flex style, there are a_lot_
> of "possible completions" for the null or very short patterns.  So those
> calculations -- which were more than certainly thought up for prefix-ish
> styles -- are quite slow (and also quite useless for flex).  At least
> that's my theory.

try-completion doesn't trigger any completion style machinery; only 
completion-try-completion does.

And are we talking about the 'try-completion' call which is guarded with 
(when icomplete-hide-common-prefix ...)?

icomplete--fido-mode-setup sets that variable to nil.